Mythtv 0.27.6 and schema error

Have a MythTV related problem? Ask for help from other MythTV users here.

Moderator: Forum Moderators

Post Reply
pshepherd
Newcomer
Posts: 1
Joined: Sun Sep 10, 2017 5:36 pm
Great Britain

Mythtv 0.27.6 and schema error

Post by pshepherd » Sun Sep 10, 2017 5:58 pm

Hi

I have been running Mythtv 0.27.6 on Linux Mint 17.3 for several months without a problem. I attempted an upgrade to 0.28.1 which failed due to dependancy issues as these looked complicated to solve I decided to revert to 0.27.6.

I had backed up the db and restored as per the wiki and this seemed to work ok, ie the backend and mythweb seem to work ok. However, mythlink.pl and optimize.sh report an error in the db schema:

Database schema 1317 not supported.
Bindings support schema version 1344

So it seems I have some code/data files leftover from 0.28.1 (which uses schema 1344) in my 0.27.6 system.

I can't find where or what mythlink/optimize uses to return the erroneous schema version - can someone advise me how to solve this problem please?

thanks, paul

User avatar
pgbennett
Developer
Posts: 160
Joined: Mon Apr 27, 2015 5:41 pm
United States of America

Re: Mythtv 0.27.6 and schema error

Post by pgbennett » Mon Sep 18, 2017 5:13 pm


Post Reply